nvme_mi_admin_identify(2)

NAME
nvme_mi_admin_identify - Perform an Admin identify command.

SYNOPSIS
int nvme_mi_admin_identify (nvme_mi_ctrl_t ctrl , struct nvme_identify_args *args );

ARGUMENTS

ctrl
    Controller to process identify command

args
    Identify command arguments

DESCRIPTION
Perform an Identify command, using the Identify command parameters in args. Stores the identify data in ->data, and (if set) the result from cdw0 into args->result.

Will return an error if the length of the response data (from the controller) is not a full NVME_IDENTIFY_DATA_SIZE.

See: struct nvme_identify_args

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.